[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CreateFloatingDockSite

Create a floating dock site with a client area equal to the given screen coordinates.

## Declaration

Source position: controls.pp line 1458

`protected function TControl.CreateFloatingDockSite(`
`const Bounds: TRect`
`):TWinControl;`

## Arguments

`Bounds` |  | The bounds of the client area of the floating window.

## Function result

The dock site, can be Nil for a TWinControl that can float by itself.

## Description

The new dock site is owned by the control.